package com.kmall.admin.service;

import com.kmall.manager.manager.pingan.dto.PinganResponseDto;

import java.util.List;
import java.util.Map;

/**
 * Service接口
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2018-12-06 15:29:43
 */
public interface PinganResponseService {

    /**
     * 根据主键查询实体
     *
     * @param id 主键
     * @return 实体
     */
    PinganResponseDto queryObject(Integer id);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<PinganResponseDto> queryList(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param pinganResponse 实体
     * @return 保存条数
     */
    int save(PinganResponseDto pinganResponse);

    /**
     * 根据主键更新实体
     *
     * @param pinganResponse 实体
     * @return 更新条数
     */
    int update(PinganResponseDto pinganResponse);

    /**
     * 根据主键删除
     *
     * @param id
     * @return 删除条数
     */
    int delete(Integer id);

    /**
     * 根据主键批量删除
     *
     * @param ids
     * @return 删除条数
     */
    int deleteBatch(Integer[] ids);
}
